// Funzione che chiede le chiavi a Supabase
import 'package:get_it/get_it.dart';
import 'package:supabase_flutter/supabase_flutter.dart';

Future<String> getSignedUrl(String storagePath) async {
  return await GetIt.I<SupabaseClient>().storage
      .from('documents')
      .createSignedUrl(storagePath, 60); // Link che si autodistrugge in 60s
}
